# Crocser

## Fast🚀, lightweight, tinny url parser

![illustration](./.assets/crocs.jpg)

### Install

```bash
$ npm install crocser
# or
$ yarn add crocser
# or
$ pnpm install crocser
```

### Basic example :

```javascript
import { parse } from 'crocser'

const info = parse('https://vk.com/im?sel=c901')
console.log(info)
```

Then send a request:

```json
{
  "protocol": "https",
  "hostname": "vk.com",
  "subdomain": "",
  "domain": "vk.com",
  "domainWithoutSuffix": "vk",
  "publicSuffix": "com",
  "queryParamsResult": [["sel", "c901"]]
}
```

### For contributors:

1. Create your feature branch (`git checkout -b my-new-feature`)
2. Commit your changes (`git commit -am 'Add some feature'`)
3. Push to the branch (`git push origin my-new-feature`)
4. Create new Pull Request
5. ???
6. PROFIT!!!
